Bug 154195 - wrong planet positions (e.g. saturn and mars)
Summary: wrong planet positions (e.g. saturn and mars)
Status: RESOLVED WORKSFORME
Alias: None
Product: kstars
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kstars
URL:
Keywords:
: 145250 (view as bug list)
Depends on:
Blocks:
 
Reported: 2007-12-16 23:00 UTC by Gabriele Inghirami
Modified: 2008-01-30 09:20 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
mars and saturn with kde3 version (137.91 KB, image/png)
2008-01-03 01:51 UTC, Gaël de Chalendar (aka Kleag)
Details
mars and saturn with kde4 version (214.79 KB, image/png)
2008-01-03 01:56 UTC, Gaël de Chalendar (aka Kleag)
Details
Solar system view 1 (9.07 KB, image/png)
2008-01-04 13:36 UTC, François Degros
Details
Solar system view 2 (7.93 KB, image/png)
2008-01-04 13:37 UTC, François Degros
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabriele Inghirami 2007-12-16 23:00:26 UTC
Version:           1.2.90 (using KDE KDE 3.97.0)
Installed from:    Compiled From Sources
Compiler:          gcc 4.2.2 
OS:                Linux

kstars 1.2.90 displays Saturn in Gemini constellation and, when right-clicking on object and selecting Details->position gives as coordinates:
RA  06h 55m 08s
Dec 22° 50' 06"

while kstars 1.2.5 (with kde 3.5.8) gives:
RA 10h 43m 12s
Dec 9° 51' 44"

and xephem 3.7.2 gives:
RA 10h 42m 47s
Dec 9° 54' 18"

quite in good agreement with kstars 1.2.5 (I made calculations at slightly different times, so planet positions can change a little).

A quick look at the sky gives the definitive demonstration that kstars 1.2.90 is wrong.

Also Mars position is wrong, the two planets have, with bad approximation, more or less exchanged their positions, since Mars is displayed near Leo and Saturn near Gemini.

Thank you for your kind attention and for your great work!
Cheers.

Gabriele Inghirami
Comment 1 kstars 2007-12-17 17:58:59 UTC
I can't confirm this.  Are you sure you have the date set properly in kstars-1.2.90?  Try pressing Ctrl+E to reset the simulation clock to your system time.

On two of my machines, I see Saturn in Leo, at 10h 43m, +9 51' (KStars-1.2.90, KDE-3.97.1)

If you still confirm the issue, please attach the following information to this bug report:

+ Start KStars from a terminal window, and capture the console output to a file:  "kstars > kstars.out 2>&1".  Don't interact with the program, just Quit as soon as it's done starting up.

+ the contents of your {$KDEDIR|$KDEHOME}/share/apps/kstars directories:
"ls -l $KDEDIR/share/apps/kstars > kstars_kdedir.txt"
"ls -l $KDEHOME/share/apps/kstars > kstars_kdehome.txt"
Comment 2 Gabriele Inghirami 2007-12-17 20:04:34 UTC
Yes, date is set to system time, which is in turn set using ntp...

Here follows kstars.out:

kstars(2118) main: Date string:  ""
kstars(2118)/kdecore (K*TimeZone*) KSystemTimeZonesPrivate::instance: instance(): ... initialised
kstars(2118)/kdecore (K*TimeZone*) KSystemTimeZonesPrivate::readConfig: readConfig(): local zone= "Europe/Rome"
kstars(2118)/kdecore (K*TimeZone*) KSystemTimeZonesPrivate::readZoneTab: readZoneTab( "/usr/share/zoneinfo/zone.tab" )
kstars(2118) SimClock::setUTC: "lun dic 17 19:03:42 2007"
kstars(2118) SimClock::setUTC: is dateTime valid?  true
kstars(2118) SimClock::setUTC: "Impostazione orologio:  UTC: 2007-12-17T19:03:42  GG: 2,454,452.29"
kstars(2118)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::KCoreConfigSkeleton: Creating KCoreConfigSkeleton ( 0x8380370 )
kstars(2118)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::readConfig: KCoreConfigSkeleton::readConfig()
kstars(2118) KStarsDateTime::fromString: Date string:  ""
kstars(2118) KStarsDateTime::fromString: "Impossibile interpretare la stringa Data/Ora: " ""
kstars(2118) KStarsDateTime::fromString: "Formati di data validi: "
kstars(2118) KStarsDateTime::fromString:   1950-02-25   ;  1950-02-25T05:30:00
kstars(2118) KStarsDateTime::fromString:   25 Feb 1950  ;  25 Feb 1950 05:30:00
kstars(2118) KStarsDateTime::fromString:   Sat Feb 25 1950  ;  Sat Feb 25 05:30:00 1950
kstars(2118) SimClock::setUTC: "lun dic 17 18:03:42 2007"
kstars(2118) SimClock::setUTC: is dateTime valid?  true
kstars(2118) SimClock::setUTC: "Impostazione orologio:  UTC: 2007-12-17T18:03:42Z  GG: 2,454,452.25"
kstars(2118) KStars::KStars: glibc >= 2.1 detected.  Using GNU extension sincos()
cbounds.dat: tossing dupe on line  600: (20,638658, 2,436087)
cbounds.dat: tossing dupe on line 3661: (7,924774, 13,173217)
Object::connect: No such slot KToggleAction::slotToggled(false)
Object::connect:  (receiver name: 'clock_startstop')
Object::connect: No such slot KToggleAction::slotToggled(true)
Object::connect:  (receiver name: 'clock_startstop')
kstars(2118)/kdeui (KXmlGui) KXMLGUIFactory::removeClient: KXMLGUIFactory::removeClient(  0x832c230  )
kstars(2118)/kdeui (KXmlGui) KXMLGUIFactory::addClient: KXMLGUIFactory::addClient(  0x832c230  )
kstars(2118) SimClock::start: "Avvio timer"
kstars(2118) KStars::datainitFinished: The current Date/Time is:  "2007-12-17T19:03:52"
kstars(2118)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig: KCoreConfigSkeleton::writeConfig()
kstars(2118)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::readConfig: KCoreConfigSkeleton::readConfig()

Here follows kstars_kdedir:

rw-r--r-- 1 kde-devel users   22518 2007-11-10 21:24 advinterface.datg
-rw-r--r-- 1 kde-devel users  229008 2007-11-12 13:05 asteroids.dat
-rw-r--r-- 1 kde-devel users    5096 2007-11-10 21:24 cbounds-3.idx
-rw-r--r-- 1 kde-devel users   16428 2007-11-10 21:24 cbounds-4.idx
-rw-r--r-- 1 kde-devel users   57190 2007-11-10 21:24 cbounds-5.idx
-rw-r--r-- 1 kde-devel users  233825 2007-11-10 21:24 cbounds-6.idx
-rw-r--r-- 1 kde-devel users  365839 2007-11-10 21:24 cbounds.dat
-rw-r--r-- 1 kde-devel users     569 2007-11-10 21:24 chart.colors
-rw-r--r-- 1 kde-devel users  440430 2007-11-10 21:24 Cities.dat
-rw-r--r-- 1 kde-devel users     570 2007-11-10 21:24 classic.colors
-rw-r--r-- 1 kde-devel users    9355 2007-11-10 21:24 clines.dat
-rw-r--r-- 1 kde-devel users    2372 2007-11-10 21:24 cnames.dat
-rw-r--r-- 1 kde-devel users  152131 2007-12-12 20:02 comets.dat
-rw-r--r-- 1 kde-devel users    4463 2007-11-10 21:24 drivers.xml
-rw-r--r-- 1 kde-devel users    8823 2007-11-10 21:24 earth.B0.vsop
-rw-r--r-- 1 kde-devel users    4730 2007-11-10 21:24 earth.B1.vsop
-rw-r--r-- 1 kde-devel users    2344 2007-11-10 21:24 earth.B2.vsop
-rw-r--r-- 1 kde-devel users     526 2007-11-10 21:24 earth.B3.vsop
-rw-r--r-- 1 kde-devel users     241 2007-11-10 21:24 earth.B4.vsop
-rw-r--r-- 1 kde-devel users   26670 2007-11-10 21:24 earth.L0.vsop
-rw-r--r-- 1 kde-devel users   16274 2007-11-10 21:24 earth.L1.vsop
-rw-r--r-- 1 kde-devel users    6780 2007-11-10 21:24 earth.L2.vsop
-rw-r--r-- 1 kde-devel users    1040 2007-11-10 21:24 earth.L3.vsop
-rw-r--r-- 1 kde-devel users     510 2007-11-10 21:24 earth.L4.vsop
-rw-r--r-- 1 kde-devel users     227 2007-11-10 21:24 earth.L5.vsop
-rw-r--r-- 1 kde-devel users    3000 2007-11-10 21:24 earth.orbit
-rw-r--r-- 1 kde-devel users   25271 2007-11-10 21:24 earth.R0.vsop
-rw-r--r-- 1 kde-devel users   14010 2007-11-10 21:24 earth.R1.vsop
-rw-r--r-- 1 kde-devel users    6641 2007-11-10 21:24 earth.R2.vsop
-rw-r--r-- 1 kde-devel users    1279 2007-11-10 21:24 earth.R3.vsop
-rw-r--r-- 1 kde-devel users     483 2007-11-10 21:24 earth.R4.vsop
-rw-r--r-- 1 kde-devel users     146 2007-11-10 21:24 earth.R5.vsop
-rw-r--r-- 1 kde-devel users    1164 2007-11-10 21:24 fitsviewer.rc
-rw-r--r-- 1 kde-devel users   73346 2007-11-10 21:24 geomap.png
-rw-r--r-- 1 kde-devel users    1725 2007-11-10 21:24 glossary.xml
-rw-r--r-- 1 kde-devel users     697 2007-11-10 21:24 histogram.png
drwxr-xr-x 4 kde-devel users    4096 2007-11-10 21:24 icons
-rw-r--r-- 1 kde-devel users   60444 2007-11-10 21:24 image_url.dat
-rw-r--r-- 1 kde-devel users   15235 2007-11-10 21:24 info_url.dat
-rw-r--r-- 1 kde-devel users   11690 2007-11-10 21:24 jupiter.B0.vsop
-rw-r--r-- 1 kde-devel users    6614 2007-11-10 21:24 jupiter.B1.vsop
-rw-r--r-- 1 kde-devel users    3788 2007-11-10 21:24 jupiter.B2.vsop
-rw-r--r-- 1 kde-devel users    1952 2007-11-10 21:24 jupiter.B3.vsop
-rw-r--r-- 1 kde-devel users     548 2007-11-10 21:24 jupiter.B4.vsop
-rw-r--r-- 1 kde-devel users     234 2007-11-10 21:24 jupiter.B5.vsop
-rw-r--r-- 1 kde-devel users   35567 2007-11-10 21:24 jupiter.L0.vsop
-rw-r--r-- 1 kde-devel users   17289 2007-11-10 21:24 jupiter.L1.vsop
-rw-r--r-- 1 kde-devel users    8981 2007-11-10 21:24 jupiter.L2.vsop
-rw-r--r-- 1 kde-devel users    5105 2007-11-10 21:24 jupiter.L3.vsop
-rw-r--r-- 1 kde-devel users    2088 2007-11-10 21:24 jupiter.L4.vsop
-rw-r--r-- 1 kde-devel users     453 2007-11-10 21:24 jupiter.L5.vsop
-rw-r--r-- 1 kde-devel users    2913 2007-11-10 21:24 jupiter.orbit
-rw-r--r-- 1 kde-devel users   22098 2007-11-10 21:24 jupiter.png
-rw-r--r-- 1 kde-devel users   34931 2007-11-10 21:24 jupiter.R0.vsop
-rw-r--r-- 1 kde-devel users   17900 2007-11-10 21:24 jupiter.R1.vsop
-rw-r--r-- 1 kde-devel users    8909 2007-11-10 21:24 jupiter.R2.vsop
-rw-r--r-- 1 kde-devel users    4587 2007-11-10 21:24 jupiter.R3.vsop
-rw-r--r-- 1 kde-devel users    2134 2007-11-10 21:24 jupiter.R4.vsop
-rw-r--r-- 1 kde-devel users     416 2007-11-10 21:24 jupiter.R5.vsop
-rw-r--r-- 1 kde-devel users   31554 2007-11-10 21:24 kstars.png
-rw-r--r-- 1 kde-devel users    4125 2007-11-10 21:24 kstarsui.rc
-rw-r--r-- 1 kde-devel users   21054 2007-11-10 21:24 mars.B0.vsop
-rw-r--r-- 1 kde-devel users   13691 2007-11-10 21:24 mars.B1.vsop
-rw-r--r-- 1 kde-devel users    6167 2007-11-10 21:24 mars.B2.vsop
-rw-r--r-- 1 kde-devel users    1942 2007-11-10 21:24 mars.B3.vsop
-rw-r--r-- 1 kde-devel users     513 2007-11-10 21:24 mars.B4.vsop
-rw-r--r-- 1 kde-devel users     227 2007-11-10 21:24 mars.B5.vsop
-rw-r--r-- 1 kde-devel users   57871 2007-11-10 21:24 mars.L0.vsop
-rw-r--r-- 1 kde-devel users   32671 2007-11-10 21:24 mars.L1.vsop
-rw-r--r-- 1 kde-devel users   14802 2007-11-10 21:24 mars.L2.vsop
-rw-r--r-- 1 kde-devel users    6143 2007-11-10 21:24 mars.L3.vsop
-rw-r--r-- 1 kde-devel users    1709 2007-11-10 21:24 mars.L4.vsop
-rw-r--r-- 1 kde-devel users     702 2007-11-10 21:24 mars.L5.vsop
-rw-r--r-- 1 kde-devel users    3029 2007-11-10 21:24 mars.orbit
-rw-r--r-- 1 kde-devel users   25747 2007-11-10 21:24 mars.png
-rw-r--r-- 1 kde-devel users   53312 2007-11-10 21:24 mars.R0.vsop
-rw-r--r-- 1 kde-devel users   28444 2007-11-10 21:24 mars.R1.vsop
-rw-r--r-- 1 kde-devel users   14950 2007-11-10 21:24 mars.R2.vsop
-rw-r--r-- 1 kde-devel users    5267 2007-11-10 21:24 mars.R3.vsop
-rw-r--r-- 1 kde-devel users    1327 2007-11-10 21:24 mars.R4.vsop
-rw-r--r-- 1 kde-devel users     422 2007-11-10 21:24 mars.R5.vsop
-rw-r--r-- 1 kde-devel users   39643 2007-11-10 21:24 mercury.B0.vsop
-rw-r--r-- 1 kde-devel users   23932 2007-11-10 21:24 mercury.B1.vsop
-rw-r--r-- 1 kde-devel users   11127 2007-11-10 21:24 mercury.B2.vsop
-rw-r--r-- 1 kde-devel users    2512 2007-11-10 21:24 mercury.B3.vsop
-rw-r--r-- 1 kde-devel users     624 2007-11-10 21:24 mercury.B4.vsop
-rw-r--r-- 1 kde-devel users     379 2007-11-10 21:24 mercury.B5.vsop
-rw-r--r-- 1 kde-devel users   66707 2007-11-10 21:24 mercury.L0.vsop
-rw-r--r-- 1 kde-devel users   40632 2007-11-10 21:24 mercury.L1.vsop
-rw-r--r-- 1 kde-devel users   19560 2007-11-10 21:24 mercury.L2.vsop
-rw-r--r-- 1 kde-devel users    7730 2007-11-10 21:24 mercury.L3.vsop
-rw-r--r-- 1 kde-devel users    1010 2007-11-10 21:24 mercury.L4.vsop
-rw-r--r-- 1 kde-devel users     583 2007-11-10 21:24 mercury.L5.vsop
-rw-r--r-- 1 kde-devel users    3214 2007-11-10 21:24 mercury.orbit
-rw-r--r-- 1 kde-devel users   26985 2007-11-10 21:24 mercury.png
-rw-r--r-- 1 kde-devel users   58904 2007-11-10 21:24 mercury.R0.vsop
-rw-r--r-- 1 kde-devel users   34479 2007-11-10 21:24 mercury.R1.vsop
-rw-r--r-- 1 kde-devel users   15128 2007-11-10 21:24 mercury.R2.vsop
-rw-r--r-- 1 kde-devel users    2903 2007-11-10 21:24 mercury.R3.vsop
-rw-r--r-- 1 kde-devel users     523 2007-11-10 21:24 mercury.R4.vsop
-rw-r--r-- 1 kde-devel users     357 2007-11-10 21:24 mercury.R5.vsop
-rw-r--r-- 1 kde-devel users   42720 2007-11-10 21:24 milkyway.dat
-rw-r--r-- 1 kde-devel users   33116 2007-11-10 21:24 moon00.png
-rw-r--r-- 1 kde-devel users   33116 2007-11-10 21:24 moon01.png
-rw-r--r-- 1 kde-devel users   33116 2007-11-10 21:24 moon02.png
-rw-r--r-- 1 kde-devel users   33629 2007-11-10 21:24 moon03.png
-rw-r--r-- 1 kde-devel users   34698 2007-11-10 21:24 moon04.png
-rw-r--r-- 1 kde-devel users   35608 2007-11-10 21:24 moon05.png
-rw-r--r-- 1 kde-devel users   36644 2007-11-10 21:24 moon06.png
-rw-r--r-- 1 kde-devel users   38271 2007-11-10 21:24 moon07.png
-rw-r--r-- 1 kde-devel users   40179 2007-11-10 21:24 moon08.png
-rw-r--r-- 1 kde-devel users   41617 2007-11-10 21:24 moon09.png
-rw-r--r-- 1 kde-devel users   42795 2007-11-10 21:24 moon10.png
-rw-r--r-- 1 kde-devel users   44771 2007-11-10 21:24 moon11.png
-rw-r--r-- 1 kde-devel users   45801 2007-11-10 21:24 moon12.png
-rw-r--r-- 1 kde-devel users   46282 2007-11-10 21:24 moon13.png
-rw-r--r-- 1 kde-devel users   46794 2007-11-10 21:24 moon14.png
-rw-r--r-- 1 kde-devel users   46967 2007-11-10 21:24 moon15.png
-rw-r--r-- 1 kde-devel users   47061 2007-11-10 21:24 moon16.png
-rw-r--r-- 1 kde-devel users   47061 2007-11-10 21:24 moon17.png
-rw-r--r-- 1 kde-devel users   47061 2007-11-10 21:24 moon18.png
-rw-r--r-- 1 kde-devel users   47061 2007-11-10 21:24 moon19.png
-rw-r--r-- 1 kde-devel users   47061 2007-11-10 21:24 moon20.png
-rw-r--r-- 1 kde-devel users   47011 2007-11-10 21:24 moon21.png
-rw-r--r-- 1 kde-devel users   46756 2007-11-10 21:24 moon22.png
-rw-r--r-- 1 kde-devel users   46280 2007-11-10 21:24 moon23.png
-rw-r--r-- 1 kde-devel users   45656 2007-11-10 21:24 moon24.png
-rw-r--r-- 1 kde-devel users   44742 2007-11-10 21:24 moon25.png
-rw-r--r-- 1 kde-devel users   42861 2007-11-10 21:24 moon26.png
-rw-r--r-- 1 kde-devel users   41492 2007-11-10 21:24 moon27.png
-rw-r--r-- 1 kde-devel users   40315 2007-11-10 21:24 moon28.png
-rw-r--r-- 1 kde-devel users   38049 2007-11-10 21:24 moon29.png
-rw-r--r-- 1 kde-devel users   36017 2007-11-10 21:24 moon30.png
-rw-r--r-- 1 kde-devel users   35421 2007-11-10 21:24 moon31.png
-rw-r--r-- 1 kde-devel users   34233 2007-11-10 21:24 moon32.png
-rw-r--r-- 1 kde-devel users   33693 2007-11-10 21:24 moon33.png
-rw-r--r-- 1 kde-devel users   33196 2007-11-10 21:24 moon34.png
-rw-r--r-- 1 kde-devel users   33196 2007-11-10 21:24 moon35.png
-rw-r--r-- 1 kde-devel users    1200 2007-11-10 21:24 moonB.dat
-rw-r--r-- 1 kde-devel users     529 2007-11-10 21:24 moonless-night.colors
-rw-r--r-- 1 kde-devel users    1860 2007-11-10 21:24 moonLR.dat
-rw-r--r-- 1 kde-devel users    7942 2007-11-10 21:24 neptune.B0.vsop
-rw-r--r-- 1 kde-devel users    3761 2007-11-10 21:24 neptune.B1.vsop
-rw-r--r-- 1 kde-devel users    1140 2007-11-10 21:24 neptune.B2.vsop
-rw-r--r-- 1 kde-devel users     402 2007-11-10 21:24 neptune.B3.vsop
-rw-r--r-- 1 kde-devel users      44 2007-11-10 21:24 neptune.B4.vsop
-rw-r--r-- 1 kde-devel users      44 2007-11-10 21:24 neptune.B5.vsop
-rw-r--r-- 1 kde-devel users   19546 2007-11-10 21:24 neptune.L0.vsop
-rw-r--r-- 1 kde-devel users    8449 2007-11-10 21:24 neptune.L1.vsop
-rw-r--r-- 1 kde-devel users    2623 2007-11-10 21:24 neptune.L2.vsop
-rw-r--r-- 1 kde-devel users     678 2007-11-10 21:24 neptune.L3.vsop
-rw-r--r-- 1 kde-devel users      82 2007-11-10 21:24 neptune.L4.vsop
-rw-r--r-- 1 kde-devel users      36 2007-11-10 21:24 neptune.L5.vsop
-rw-r--r-- 1 kde-devel users    2817 2007-11-10 21:24 neptune.orbit
-rw-r--r-- 1 kde-devel users   32863 2007-11-10 21:24 neptune.png
-rw-r--r-- 1 kde-devel users   28256 2007-11-10 21:24 neptune.R0.vsop
-rw-r--r-- 1 kde-devel users   11596 2007-11-10 21:24 neptune.R1.vsop
-rw-r--r-- 1 kde-devel users    3324 2007-11-10 21:24 neptune.R2.vsop
-rw-r--r-- 1 kde-devel users    1020 2007-11-10 21:24 neptune.R3.vsop
-rw-r--r-- 1 kde-devel users     328 2007-11-10 21:24 neptune.R4.vsop
-rw-r--r-- 1 kde-devel users  998307 2007-11-10 21:24 ngcic.dat
-rw-r--r-- 1 kde-devel users     575 2007-11-10 21:24 night.colors
-rw-r--r-- 1 kde-devel users   47483 2007-11-10 21:24 noimage.png
-rw-r--r-- 1 kde-devel users    2723 2007-11-10 21:24 pluto.orbit
-rw-r--r-- 1 kde-devel users    1603 2007-11-10 21:24 pluto.png
-rw-r--r-- 1 kde-devel users     584 2007-11-10 21:24 satellites.dat
-rw-r--r-- 1 kde-devel users   23297 2007-11-10 21:24 saturn.B0.vsop
-rw-r--r-- 1 kde-devel users   12136 2007-11-10 21:24 saturn.B1.vsop
-rw-r--r-- 1 kde-devel users    5164 2007-11-10 21:24 saturn.B2.vsop
-rw-r--r-- 1 kde-devel users    2684 2007-11-10 21:24 saturn.B3.vsop
-rw-r--r-- 1 kde-devel users    1197 2007-11-10 21:24 saturn.B4.vsop
-rw-r--r-- 1 kde-devel users     501 2007-11-10 21:24 saturn.B5.vsop
-rw-r--r-- 1 kde-devel users   53680 2007-11-10 21:24 saturn.L0.vsop
-rw-r--r-- 1 kde-devel users   29890 2007-11-10 21:24 saturn.L1.vsop
-rw-r--r-- 1 kde-devel users   14973 2007-11-10 21:24 saturn.L2.vsop
-rw-r--r-- 1 kde-devel users    6908 2007-11-10 21:24 saturn.L3.vsop
-rw-r--r-- 1 kde-devel users    3159 2007-11-10 21:24 saturn.L4.vsop
-rw-r--r-- 1 kde-devel users    1243 2007-11-10 21:24 saturn.L5.vsop
-rw-r--r-- 1 kde-devel users    2857 2007-11-10 21:24 saturn.orbit
-rw-r--r-- 1 kde-devel users   31769 2007-11-10 21:24 saturn.png
-rw-r--r-- 1 kde-devel users   56278 2007-11-10 21:24 saturn.R0.vsop
-rw-r--r-- 1 kde-devel users   29838 2007-11-10 21:24 saturn.R1.vsop
-rw-r--r-- 1 kde-devel users   15995 2007-11-10 21:24 saturn.R2.vsop
-rw-r--r-- 1 kde-devel users    7342 2007-11-10 21:24 saturn.R3.vsop
-rw-r--r-- 1 kde-devel users    2957 2007-11-10 21:24 saturn.R4.vsop
-rw-r--r-- 1 kde-devel users    1284 2007-11-10 21:24 saturn.R5.vsop
-rw-r--r-- 1 kde-devel users     690 2007-11-10 21:24 starlnum.idx
-rw-r--r-- 1 kde-devel users 7741146 2007-11-10 21:24 stars.dat
-rw-r--r-- 1 kde-devel users   21518 2007-11-10 21:24 sun.png
-rw-r--r-- 1 kde-devel users   13143 2007-11-10 21:24 tips
-rw-r--r-- 1 kde-devel users    3277 2007-11-10 21:24 TZrules.dat
-rw-r--r-- 1 kde-devel users   13103 2007-11-10 21:24 uranus.B0.vsop
-rw-r--r-- 1 kde-devel users    7102 2007-11-10 21:24 uranus.B1.vsop
-rw-r--r-- 1 kde-devel users    2754 2007-11-10 21:24 uranus.B2.vsop
-rw-r--r-- 1 kde-devel users     722 2007-11-10 21:24 uranus.B3.vsop
-rw-r--r-- 1 kde-devel users      80 2007-11-10 21:24 uranus.B4.vsop
-rw-r--r-- 1 kde-devel users   43868 2007-11-10 21:24 uranus.L0.vsop
-rw-r--r-- 1 kde-devel users   19677 2007-11-10 21:24 uranus.L1.vsop
-rw-r--r-- 1 kde-devel users    6958 2007-11-10 21:24 uranus.L2.vsop
-rw-r--r-- 1 kde-devel users    2107 2007-11-10 21:24 uranus.L3.vsop
-rw-r--r-- 1 kde-devel users     313 2007-11-10 21:24 uranus.L4.vsop
-rw-r--r-- 1 kde-devel users      35 2007-11-10 21:24 uranus.L5.vsop
-rw-r--r-- 1 kde-devel users    2848 2007-11-10 21:24 uranus.orbit
-rw-r--r-- 1 kde-devel users   34759 2007-11-10 21:24 uranus.png
-rw-r--r-- 1 kde-devel users   52201 2007-11-10 21:24 uranus.R0.vsop
-rw-r--r-- 1 kde-devel users   23816 2007-11-10 21:24 uranus.R1.vsop
-rw-r--r-- 1 kde-devel users    8871 2007-11-10 21:24 uranus.R2.vsop
-rw-r--r-- 1 kde-devel users    2526 2007-11-10 21:24 uranus.R3.vsop
-rw-r--r-- 1 kde-devel users     501 2007-11-10 21:24 uranus.R4.vsop
-rw-r--r-- 1 kde-devel users  372101 2007-11-10 21:24 valaav.txt
-rw-r--r-- 1 kde-devel users   10094 2007-11-10 21:24 venus.B0.vsop
-rw-r--r-- 1 kde-devel users    6388 2007-11-10 21:24 venus.B1.vsop
-rw-r--r-- 1 kde-devel users    2822 2007-11-10 21:24 venus.B2.vsop
-rw-r--r-- 1 kde-devel users     710 2007-11-10 21:24 venus.B3.vsop
-rw-r--r-- 1 kde-devel users     227 2007-11-10 21:24 venus.B4.vsop
-rw-r--r-- 1 kde-devel users     179 2007-11-10 21:24 venus.B5.vsop
-rw-r--r-- 1 kde-devel users   17545 2007-11-10 21:24 venus.L0.vsop
-rw-r--r-- 1 kde-devel users   10289 2007-11-10 21:24 venus.L1.vsop
-rw-r--r-- 1 kde-devel users    3354 2007-11-10 21:24 venus.L2.vsop
-rw-r--r-- 1 kde-devel users    3277 2007-11-10 21:24 TZrules.dat
-rw-r--r-- 1 kde-devel users   13103 2007-11-10 21:24 uranus.B0.vsop
-rw-r--r-- 1 kde-devel users    7102 2007-11-10 21:24 uranus.B1.vsop
-rw-r--r-- 1 kde-devel users    2754 2007-11-10 21:24 uranus.B2.vsop
-rw-r--r-- 1 kde-devel users     722 2007-11-10 21:24 uranus.B3.vsop
-rw-r--r-- 1 kde-devel users      80 2007-11-10 21:24 uranus.B4.vsop
-rw-r--r-- 1 kde-devel users   43868 2007-11-10 21:24 uranus.L0.vsop
-rw-r--r-- 1 kde-devel users   19677 2007-11-10 21:24 uranus.L1.vsop
-rw-r--r-- 1 kde-devel users    6958 2007-11-10 21:24 uranus.L2.vsop
-rw-r--r-- 1 kde-devel users    2107 2007-11-10 21:24 uranus.L3.vsop
-rw-r--r-- 1 kde-devel users     313 2007-11-10 21:24 uranus.L4.vsop
-rw-r--r-- 1 kde-devel users      35 2007-11-10 21:24 uranus.L5.vsop
-rw-r--r-- 1 kde-devel users    2848 2007-11-10 21:24 uranus.orbit
-rw-r--r-- 1 kde-devel users   34759 2007-11-10 21:24 uranus.png
-rw-r--r-- 1 kde-devel users   52201 2007-11-10 21:24 uranus.R0.vsop
-rw-r--r-- 1 kde-devel users   23816 2007-11-10 21:24 uranus.R1.vsop
-rw-r--r-- 1 kde-devel users    8871 2007-11-10 21:24 uranus.R2.vsop
-rw-r--r-- 1 kde-devel users    2526 2007-11-10 21:24 uranus.R3.vsop
-rw-r--r-- 1 kde-devel users     501 2007-11-10 21:24 uranus.R4.vsop
-rw-r--r-- 1 kde-devel users  372101 2007-11-10 21:24 valaav.txt
-rw-r--r-- 1 kde-devel users   10094 2007-11-10 21:24 venus.B0.vsop
-rw-r--r-- 1 kde-devel users    6388 2007-11-10 21:24 venus.B1.vsop
-rw-r--r-- 1 kde-devel users    2822 2007-11-10 21:24 venus.B2.vsop
-rw-r--r-- 1 kde-devel users     710 2007-11-10 21:24 venus.B3.vsop
-rw-r--r-- 1 kde-devel users     227 2007-11-10 21:24 venus.B4.vsop
-rw-r--r-- 1 kde-devel users     179 2007-11-10 21:24 venus.B5.vsop
-rw-r--r-- 1 kde-devel users   17545 2007-11-10 21:24 venus.L0.vsop
-rw-r--r-- 1 kde-devel users   10289 2007-11-10 21:24 venus.L1.vsop
-rw-r--r-- 1 kde-devel users    3354 2007-11-10 21:24 venus.L2.vsop
-rw-r--r-- 1 kde-devel users     421 2007-11-10 21:24 venus.L3.vsop
-rw-r--r-- 1 kde-devel users     227 2007-11-10 21:24 venus.L4.vsop
-rw-r--r-- 1 kde-devel users     225 2007-11-10 21:24 venus.L5.vsop
-rw-r--r-- 1 kde-devel users    3159 2007-11-10 21:24 venus.orbit
-rw-r--r-- 1 kde-devel users   16462 2007-11-10 21:24 venus.png
-rw-r--r-- 1 kde-devel users   15877 2007-11-10 21:24 venus.R0.vsop
-rw-r--r-- 1 kde-devel users    8673 2007-11-10 21:24 venus.R1.vsop
-rw-r--r-- 1 kde-devel users    3018 2007-11-10 21:24 venus.R2.vsop
-rw-r--r-- 1 kde-devel users     325 2007-11-10 21:24 venus.R3.vsop
-rw-r--r-- 1 kde-devel users     130 2007-11-10 21:24 venus.R4.vsop
-rw-r--r-- 1 kde-devel users      96 2007-11-10 21:24 venus.R5.vsop
-rw-r--r-- 1 kde-devel users   47517 2007-11-10 21:24 wzdownload.png
-rw-r--r-- 1 kde-devel users   51253 2007-11-10 21:24 wzgeo.png
-rw-r--r-- 1 kde-devel users   51470 2007-11-10 21:24 wzscope.png
-rw-r--r-- 1 kde-devel users   96362 2007-11-10 21:24 wzstars.png

Here follows kdestars_kdehome.txt:

-rw-r--r-- 1 kde-devel users    128 2007-12-16 01:11 fov.dat
-rw-r--r-- 1 kde-devel users  60444 2007-12-16 01:11 image_url.dat
-rw-r--r-- 1 kde-devel users  15170 2007-12-16 01:11 info_url.dat
-rw-r--r-- 1 kde-devel users 372101 2007-12-16 01:11 valaav.txt

Here I put two screenshot just to show what I see:

http://www.inghi.it/kstars-issue/1.png   -> Mars coordinates
http://www.inghi.it/kstars-issue/2.png   -> Saturn coordinates

Thank you for your interest and for your patience...
Comment 3 kstars 2007-12-17 20:29:11 UTC
I'm stumped so far.  Can you try checking the position of Saturn when you run "KDE_LANG=en_US kstars" from the command line?  Perhaps there's some weirdness happening due to translation.  If so, I will be very grateful for this bug report!
Comment 4 Gabriele Inghirami 2007-12-18 00:39:35 UTC
I tried running KDE_LANG=en_US kstars, but nothing has changed (except for the language translation, obviously).

Last time I compiled and installed kde4rc2 over the old kde4rc1 directory (OK, not a brilliant idea, but I did it quite often in the past with kde 3.x and nothing weird ever happened), I'll make a new compilation from scratch in a clean directory, then I'll make you a new report...
Comment 5 Gabriele Inghirami 2007-12-18 18:38:52 UTC
I compiled again the whole kde4rc2 suite, without using the translation module, after removing the old installation and the .kde directory in the home directory, but the issue is still present...
Comment 6 François Degros 2008-01-02 10:58:02 UTC
I have exactly the same problem with the following configuration:
KStars Version 1.2.90 
KDE: Version 3.95.00 (KDE 4.0 Beta4)
Compiler: gcc.exe
OS: Microsoft Windows (i686) release 5.1 (XP Home Edition)
Installed from: MS Windows Binaries

Longitude: 151.283
Latitude: -33.916
LT: 00:00:00 02 Jan 2008
UT: 14:00:00 01 Jan 2008


More generally, the positions of the planets and the sun are wrong. But the positions of the stars seem correct.

Maybe it is the same bug as 145250 (Sun and planets position on the star map are all wrong)?

Comment 7 kstars 2008-01-02 15:04:35 UTC
#6: Please provide coordinates of some of the planets according to KStars on that date.  Also, are you using a translation for kstars, or the default (english)?
Comment 8 kstars 2008-01-02 15:18:45 UTC
*** Bug 145250 has been marked as a duplicate of this bug. ***
Comment 9 kstars 2008-01-02 15:32:40 UTC
Here's an idea.  Can either of you check to see if Mars has a retrograde cycle with a period of about two years?  Change to Equatorial coordinates (spacebar), then track on Mars ("4" key), then set the timestep to a week.  You should see Mars loop backwards in its path every two years.  If "Mars" has somehow switched orbital data with "Saturn", then the loops will be much smaller and will occur about once a year.

See the screenshot: http://www.30doradus.org/kde/retrograde.png

Also, can someone check to see if Pluto's position is correct?  Pluto is considered an asteroid in the program, so if its coordinates are correct, that at least isolates the poblem to KSPlanet rather than KSPlanetBase.  What about the Sun?  Does everyone agree with 145250 that their positions are also incorrect?  And the Moon?

Here are the coordinates on my machine for 1/2/2008:
Mars     05h 57m  +26d 57'
Saturn   10h 43m   +9d 59'
Pluto    17h 56m  -17d 11'
Sun      18h 50m  -22d 56'
Moon     14h 07m  -18d 36'

It will be interesting to see if you all have the same (wrong) coordinates for these bodies, so please report results even if someone else already has.

Since three people are having the same problem, I am "confirming" the bug, even though none of the developers can reproduce it.
Comment 10 kstars 2008-01-02 15:34:18 UTC
Oops, I should have said "2 Jan 2008" instead of the ambiguous "1/2/2008"...
Comment 11 Gaël de Chalendar (aka Kleag) 2008-01-03 01:51:18 UTC
Created attachment 22814 [details]
mars and saturn with kde3 version
Comment 12 Gaël de Chalendar (aka Kleag) 2008-01-03 01:56:38 UTC
Created attachment 22815 [details]
mars and saturn with kde4 version

this second attachment shows the difference for me between kde3 and kde4
versions. Note that the first is in french and the second is in english.
As I'm a very beginner in astro, I cannot say what is the good one, but looking
to the sky the one shown as mars in kde3 seems to be red in the sky...
Comment 13 François Degros 2008-01-04 13:36:18 UTC
Created attachment 22829 [details]
Solar system view 1
Comment 14 François Degros 2008-01-04 13:37:55 UTC
Created attachment 22830 [details]
Solar system view 2
Comment 15 François Degros 2008-01-04 13:50:33 UTC
Re: #7

Here are the coordinates on my machine for the following date, time and location:

Longitude: 151.283
Latitude: -33.916
LT: 00:00:00 02 Jan 2008
UT: 14:00:00 01 Jan 2008


Body      RA             Dec

Sun       15h 40m 02s    -19° 33' 18"
Moon      13h 26m 42s    -12° 48' 03"
Mercury   15h 40m 02s    -19° 33' 12"
Venus     15h 40m 02s    -19° 33' 12"
Mars      10h 31m 14s    + 9° 17' 59"
Jupiter   15h 58m 00s    -20° 29' 05"
Saturn    06h 52m 45s    +22° 53' 10"
Pluto     00h 00m 00s    + 0° 00' 00"

Mercury and Venus have the same coordinates and almost (but not exactly) the coordinates of the Sun. Pluto has its coordinates set to exactly zero.

Moreover, the Solar system view (Tools > Solar System) has a very strange aspect. The orbits look... quantised (see attachments), as if there were a conversion from a floating point number to an integer somewhere.

Using the Calculator (Tools > Calculator > Planets Coordinates) to see the coordinates of the solar system objects, it appears very clearly that the distances in the Heliocentric Ecliptic Coordinates are integers (or truncated to an integer value), except for Pluto:

Body      Distance (AU)

Sun       0.000000
Moon      0.000000
Mercury   0.000000
Venus     0.000000
Earth     1.000000
Mars      1.000000
Jupiter   5.000000
Saturn    9.000000
Uranus   19.000000
Neptune  30.000000
Pluto    31.392711

Comment 16 François Degros 2008-01-04 14:03:17 UTC
I'm using Kstars in English on Windows XP SP2 in French. Could the problem come from the fact that the decimal separator in English '.' is not the same as the decimal separator in French ','? For example, the algorithm reading the data files expect decimal numbers written with the local decimal separator ',' when those files actually contain numbers with '.'? Could this explain the apparent truncation of some numbers in KStars?
Comment 17 François Degros 2008-01-04 15:08:24 UTC
In the Configuration Panel of the Operating System, I changed the decimal separator from ',' to '.' and then I restarted KStars. The planets, Sun and Moon are now at the right position. Even the Solar System View looks nice with smooth orbits.

Does that mean that the drawing of planet orbits in the Solar System View uses string to number conversions? That seems a bit worrying...

Anyway, it seems you'll have to look at all the string to number and number to string conversions. If the string is stored in a configuration or data file, the conversion should use the C locale. If the string is read or entered by a user, the conversion should use the system locale. Maybe the same problem exists for other data like dates and times?

In #15, the fact that Pluto had zero coordinates was actually caused by the fact that it was unchecked in Settings > Configure KStars > Solar System. Should I log that as a separate bug?

Comment 18 kstars 2008-01-04 16:03:50 UTC
#17: Aha, now we are getting somewhere.  Thank you so much for investigating this problem.  I'll try to post a patch as soon as I can.

Please file a separate bug for the Pluto coordinates issue.

Comment 19 Gabriele Inghirami 2008-01-06 02:05:45 UTC
I set up the following date, time and location:

01 january 2008
LT 15:00 - UT 14:00 *
Florence, Italy - 11° 14' 45" E - 43° 46' 35" N - timezone GMT+1

* there were a few seconds of difference between the two following computations, so here I wrote only hours and minutes, but this tiny difference doesn't matter in our case.
Also the location is different from Degro's one and there are some small parallax effects.

I made two calcuations using the observing list tool.
In the first one, after removing the ~/.kde4 directory, I set up the LANG variable to it_IT:
export LANG=it_IT
then I started the X server, then KDE4 and finally kstars.

Here are the results of the computations:

body      ra              dec

sun       15h 40m 02s   -19° 33' 19"
moon      13h 21m 17s   -13° 51' 35"
mercury   15h 40m 01s   -19° 33' 24"
venus     15h 40m 01s   -19° 33' 24"
mars      10h 31m 14s     9° 17' 34"
jupiter   15h 58m 00s   -20° 29' 07"
saturn    06h 52m 45s    22° 53' 10"
pluto     17h 50m 41s   -17° 09' 09"

As you can see, except for Pluto, they are nearly equal to those of François Degros.

Then I killed KDE4 and the X server, I removed again ~/.kde4 to be sure to reset all the configuretion files, I exported LANG with:
export LANG=en_US

and then I launched the X server, KDE4 and kstars again.
Here are the new results of the computation:

sun       18h 45m 46s   -23° 01' 34"
moon      13h 21m 18s   -13° 51' 38"
mercury   19h 24m 33s   -24° 11' 12"
venus     16h 02m 13s   -18° 37' 38"
mars      05h 58m 31s    26° 56' 44"
jupiter   18h 13m 42s   -23° 14' 05"
saturn    10h 42m 45s     9° 58' 40"
pluto     17h 56m 03s   -17° 11' 15"

Now the positions seem correct!

Please note that, before doing this experiment, I checked the decimal sepators in KDE4 in Computer->System Settings->Regional and language->Country/Region and language/Numbers, but simply setting '.' didn't worked (obviously I restarted kstars and kde4).

I also confirm that, when planet positions are wrong, also the Solar System View is affected as reported by François Degros; instead, when the planet positions are right, the picture is smooth.

I compiled and used the Kstars Subversion revision: 750245 with Linux 32 bit, gcc 4.2.2, glibc 2.7, qt 4.3.3, KDE 3.97.1.

Thank you for your kind attention.



Comment 20 kstars 2008-01-18 19:16:09 UTC
SVN commit 763142 by harris:

I believe this fixes bug #154195, but I NEED someone 
with a non en_US localization to test it!

I used QString::replace() to replae all "." with 
KLocale::decimalSymbol() when parsing data files.   

I did this for the Moon, planets, planet orbits (in 
the solar system tool), stars, asteroids, comets, and 
deep-sky objects.  PLMK if I missed something!

BUG: 154195
CCMAIL: kstars-devel@kde.org



 M  +4 -0      ksmoon.cpp  
 M  +4 -0      ksplanet.cpp  
 M  +5 -0      skycomponents/asteroidscomponent.cpp  
 M  +4 -0      skycomponents/cometscomponent.cpp  
 M  +5 -0      skycomponents/deepskycomponent.cpp  
 M  +6 -1      skycomponents/starcomponent.cpp  
 M  +10 -5     tools/planetviewer.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=763142
Comment 21 Gabriele Inghirami 2008-01-20 02:43:42 UTC
I recompiled kdeedu after upgrading to revision 763142 using:
svn update -r 763142
in the kdeedu source directory, but:
-planets positions are right and solar system view is smooth if, before launching kstars, I type: export LANG=en_US
-planets positions are wrong and solar system view is rough if, before launching kstars, I type: export LANG=it_IT

Thank you for your interest and for your efforts!
Comment 22 Gabriele Inghirami 2008-01-20 02:48:29 UTC
I reopened the bug since, at least for me, unfortunately it has not been resolved, yet.
Comment 23 kstars 2008-01-21 04:10:34 UTC
SVN commit 764110 by harris:

Second attempt to fix bug #154195.  Thanks for continued 
testing, please try this revision as well.  I think/hope 
I have it this time.

I am using QString::toDouble() instead of QTextStream::operator>>
The API docs for toDouble specifically say it uses the local 
decimal setting, and if that doesn't work, it falls back to use 
".", no matter what the locale uses for decimalSymbol().  Because
of this fallback, I am not converting "." to decimalSymbol() anymore.
In theory, it should still work now that I am using QString::toDouble().

CCBUG: 154195



 M  +21 -11    ksmoon.cpp  
 M  +8 -7      ksplanet.cpp  
 M  +1 -4      skycomponents/asteroidscomponent.cpp  
 M  +0 -2      skycomponents/cometscomponent.cpp  
 M  +0 -5      skycomponents/deepskycomponent.cpp  
 M  +1 -5      skycomponents/starcomponent.cpp  
 M  +7 -7      tools/planetviewer.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=764110
Comment 24 Gabriele Inghirami 2008-01-21 10:29:25 UTC
Great!
It works!
I checked planets coordinates calculated by kstars with those calculated by xephem  3.7.2 and they match.
Also Solar System View now displays properly.

Thank you very much for your excellent work!

Have a nice day (and even a nice night)!
Comment 25 Jure Repinc 2008-01-21 11:55:16 UTC
I can also confirm that all works fine now with Slovenian locale. Thanks Jason!
Comment 26 kstars 2008-01-21 18:55:30 UTC
All right!  Thanks for testing, everyone...
Comment 27 kstars 2008-01-30 09:20:00 UTC
SVN commit 768484 by harris:

Backporting final fix for bug #154195, just in time for 4,0,1 (sorry, I thought I 
had done it already).

CCBUG: 154195



 M  +21 -11    ksmoon.cpp  
 M  +8 -7      ksplanet.cpp  
 M  +1 -4      skycomponents/asteroidscomponent.cpp  
 M  +0 -2      skycomponents/cometscomponent.cpp  
 M  +2 -7      skycomponents/deepskycomponent.cpp  
 M  +1 -5      skycomponents/starcomponent.cpp  
 M  +7 -7      tools/planetviewer.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=768484